## mesa-amber 21.3.9

=== debian/control ===
Source: mesa-amber
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Standards-Version: 4.6.0
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               libdrm-dev (>= 2.4.107-4),
               libelf-dev,
               libexpat1-dev,
               libglapi-mesa,
               libglvnd-core-dev (>= 1.3.2),
               libwayland-dev (>= 1.15.0) [linux-any],
               libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dri2-0-dev (>= 1.8),
               libxcb-dri3-dev,
               libxcb-glx0-dev (>= 1.8.1),
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxext-dev,
               libxfixes-dev,
               libxrandr-dev,
               libxshmfence-dev (>= 1.1),
               libxxf86vm-dev,
               libzstd-dev,
               linux-libc-dev (>= 2.6.31) [linux-any],
               meson (>= 0.45),
               pkg-config,
               python3,
               python3-mako,
               python3-setuptools,
               quilt (>= 0.63-8.2~),
               valgrind-if-available,
               wayland-protocols (>= 1.9) [linux-any],
               x11proto-dev,
               zlib1g-dev
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa-amber.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa-amber
Homepage: https://mesa3d.org/

Package: libegl-amber0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Amber vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa Amber vendor library for EGL.

Package: libglx-amber0
Section: libs
Architecture: any
Depends: libgl1-amber-dri, ${misc:Depends}, ${shlibs:Depends}
Provides: libglx-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- Amber GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-amber-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-amber-dri package.

Package: libgl1-amber-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libgl1-mesa-dri (<< 22.0.0~)
Replaces: libgl1-mesa-dri (<< 22.0.0~)
Provides: dri-drivers
Multi-Arch: same
Description: free implementation of the OpenGL API -- Amber DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa Amber, please look at the
 libglx-amber0 package.
